<div>
    <table>
        <thead>
            <th>Id:</th>
            <th>Naziv: </th>
            <th>Reziser:</th>
            <th>Ocena:</th>
        </thead>
        <tbody>
            <tr>
                <td>{{film.id}}</td>
                <td>{{film.naziv}}</td>
                <td>{{film.reziser}}</td>
                <td>{{film.ocena}}</td>
            </tr>
        </tbody>
    </table>
</div>
<div>
    <form (ngSubmit)="editFilm()" #editForm="ngForm">
        <h2>Dodaj novi film</h2>
        <hr>
        <div>
            <label for="filmInp">Naziv filma:</label>
            <input id="filmInp" name="naziv" #naziv="ngModel" [(ngModel)]="editedFilm.naziv" [ngClass]="{'invalid': naziv.invalid}" type="text" required>
        </div>
        <div>
            <label for="reziserInp">Ime rezisera:</label>
            <input id="reziserInp" name="reziser" #reziser="ngModel" [(ngModel)]="editedFilm.reziser" [ngClass]="{'invalid': reziser.invalid}" type="text" required>
        </div>
        <div>
            <input [disabled]="naziv.invalid" [disabled]="reziser.invalid" type="submit" value="Dodaj">
        </div>
    </form>
</div>
<button (click)="backToFilm(film.id)">Nazad</button>